PrivateKeyEntry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.PrivateKeyEntry,PrivateKeyEntry class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class PrivateKeyEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.PrimitiveEntry
                  |
                  +--gnu.crypto.keyring.PrivateKeyEntry

public final class PrivateKeyEntry
extends PrimitiveEntry

An immutable class representing a private or secret key entry.

Field Summary
`static int` | `TYPE`

Fields inherited from class gnu.crypto.keyring.PrimitiveEntry
`creationDate`

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Constructor Summary
`PrivateKeyEntry(java.security.Key key, java.util.Date creationDate, Properties properties)` Creates a new key entry.

Method Summary
`static PrivateKeyEntry` | `decode(java.io.DataInputStream in)`
`protected void` | `encodePayload()` This method is called of subclasses when the payload data needs to be created.
`java.security.Key` | `getKey()` Returns this entry's key.

Methods inherited from class gnu.crypto.keyring.PrimitiveEntry
`equals, getAlias, getCreationDate, makeCreationDate`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### PrivateKeyEntry

    public PrivateKeyEntry(java.security.Key key,
                           java.util.Date creationDate,
                           Properties properties)

  Creates a new key entry.

Parameters:
  `key` - The key.
  `creationDate` - The entry creation date.
  `properties` - The entry properties.
Throws:
  `java.lang.IllegalArgumentException` - If any parameter is null.

Method Detail

### decode

    public static PrivateKeyEntry decode(java.io.DataInputStream in)
                                  throws java.io.IOException

    `java.io.IOException`

### getKey

    public java.security.Key getKey()

  Returns this entry's key.

  Returns:
    The key.

### encodePayload

    protected void encodePayload()
                          throws java.io.IOException

  Description copied from class: `Entry`
  This method is called of subclasses when the payload data needs to be created.

  Specified by:
    `encodePayload` in class `Entry`
  Throws:
    `java.io.IOException` - If an encoding error occurs.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.